%this scripts extracts data used as boundary condition/sponge data for
%a mom4p1d model of the baltic sea

%define bounds:
 x=[10 12]
 y=[56 59]
 zw=[0:20:400];
 t=1961:2007

 x=[18 20]
 y=[57 58.5]
 zw=[0:20:250];
 t=1961:1:2007

%some ini
 z = (zw(1:end-1)+zw(2:end))./2;
 T    = zeros(length(z),length(t))+NaN;
 Tstd = zeros(length(z),length(t))+NaN;
 S    = zeros(length(z),length(t))+NaN;
 Sstd = zeros(length(z),length(t))+NaN;

%get the data
 for k=1:length(z);
  for i=1:length(t);
   %extract temperature
    [year_tmp,month_tmp,day_tmp,x_tmp,y_tmp,z_tmp,dat_tmp] =  ...
       getdata([t(i) t(i)],[0 12],[zw(k) zw(k+1)],10);
    if length(x_tmp)>0
     I = find(x_tmp>=x(1) & x_tmp<=x(2) & y_tmp>=y(1) & y_tmp <=y(2) & isnan(dat_tmp)~=1);
     if length(I)>0
      T(k,i)    = mean(dat_tmp(I));
      Tstd(k,i) = std(dat_tmp(I));
     end
    end
   %extract salinity
    [year_tmp,month_tmp,day_tmp,x_tmp,y_tmp,z_tmp,dat_tmp] =  ...
       getdata([t(i) t(i)],[0 12],[zw(k) zw(k+1)],11);
    if length(x_tmp)>0
     I = find(x_tmp>=x(1) & x_tmp<=x(2) & y_tmp>=y(1) & y_tmp <=y(2) & isnan(dat_tmp)~=1);
     if length(I)>0
      S(k,i)    = mean(dat_tmp(I));
      Sstd(k,i) = std(dat_tmp(I));
     end
    end
  end
 end

figure
 subplot(2,1,1)
  flat_pcolor(t,z,T); colorbar; axis ij
  xlabel('time [yr]')
  ylabel('depth [m]')
  title('Temperature')

 subplot(2,1,2)
  flat_pcolor(t,z,S); colorbar; axis ij
  xlabel('time [yr]')
  ylabel('depth [m]')
  title('Salinity')

