%get a subset of ices data
%mind you, this is slow!

%the columns are
%(1) St_No (2) Latdeg (3) Longdeg 
%(4) Year  (5) Mnth   (6) Dy      (7) Hr 
%(8) Sound (9) Depth [dbar] 
%(10) TEMP [degC]   (11) PSAL [PSU]    (12) DOXY [umol/l]
%(13) PHOS [umol/l] (14) TPHS [umol/l] (15) SLCA [umol/l] 
%(16) NTRA [umol/l] (17) NTRI [umol/l] (18) AMON [umol/l] 
%(19) NTOT [umol/l] (20) H2SX [umol/l] (21) PHPH
%(22) ALKY[mmol/l]  (23) CPHL[mg/m^3]

%get all ices data
 load ../data/bottle/ices_baltic_march_2010.mat data

%replace dummies
 I = find(data==-9); data(I)=NaN;

%plot positions 
 set(gca,'box','on','tickdir','out', ...
         'nextplot','add',           ...
         'xlim',[5 30],'ylim',[53 66])
 plot(data(:,3),data(:,2),'k.') 
 cc=coast('k'); set(cc,'color',[0.4 0.4 0.4],'linewidth',3)
 ax_long('x')
 ax_lat('y')
 title('all sites')
% extract data where T S PHOS NTRA is available
    I   = find(isnan(sum(data(:,[2 3 10 11 12 16]),2))~=1); 
    dat = data(I,:);

%plot
  figure 
   set(gca,'box','on','tickdir','out', ...
         'nextplot','add',           ...
         'xlim',[5 30],'ylim',[53 66])
    plot(dat(:,3),dat(:,2),'k.')
    cc=coast('k'); set(cc,'color',[0.4 0.4 0.4],'linewidth',3)
    ax_long('x')
    ax_lat('y')
    title('all sites where T & S & P & N & O_2 is available')
%plot redfield ratio for waters with O2 less than 50 (in chronological order) 
 I = find(dat(:,12)<50); dat=dat(I,:);
 [Y,I] = sort(julian([dat(:,4) dat(:,5) dat(:,6) dat(:,4).*0 dat(:,5).*0 dat(:,6).*0]));
    dat = dat(I,:);
    I = find(dat(:,12)<100);
    figure
    plot(dat(:,4)+dat(:,5)./12+dat(:,6)./365,dat(:,19)./dat(:,14),'k.')
    xlabel('year')
    ylabel('N/P')
    title('N/P ratio in waters with O_2 less than 50 mmol/m^3') 
