function [year,month,day,x,y,z,dat] = getdata(yeari,monthi,zi,varid)
%function [year,month,day,x,y,z,dat] = getdata(yeari,monthi,zi,varid)
% extracts ices data 
% input: year(1:2)  defines time interval
%        month(1:2) defines time inteval
%        z(1:2)     defines depth inteval [dbar]
%        varid      defines variables
%
%                  (1) St_No (2) Latdeg (3) Longdeg
%                  (4) Year  (5) Mnth   (6) Dy      (7) Hr
%                  (8) Sound (9) Depth [dbar]
%                  (10) TEMP [degC]   (11) PSAL [PSU]    (12) DOXY [umol/l]
%                  (13) PHOS [umol/l] (14) TPHS [umol/l] (15) SLCA [umol/l]
%                  (16) NTRA [umol/l] (17) NTRI [umol/l] (18) AMON [umol/l]
%                  (19) NTOT [umol/l] (20) H2SX [umol/l] (21) PHPH
%                  (22) ALKY[mmol/l]  (23) CPHL[mg/m^3]


%get the data
 load ../data/bottle/ices_baltic_march_2010.mat data

%replace dummies
 Inan = find(data==-9); data(Inan)=NaN;

%shrink data
   I  = find(isnan(sum(data(:,[2 3 4 5 9 varid]),2))~=1  & ...
             data(:,9)>=zi(1)      & data(:,9)<=zi(2)    & ...
             data(:,4)>=yeari(1)   & data(:,4)<=yeari(2) & ...
             data(:,5)>=monthi(1)  & data(:,5)<=monthi(2));
 data = data(I,:);

x     = data(:,3); 
y     = data(:,2);
z     = data(:,9);
year  = data(:,4);
month = data(:,5);
day   = data(:,6);
dat   = data(:,varid);
