
years  = [1979:1984 1998:2006];

%some figure ini
 colmap = jet(64);
 cax    = [-2 2];

%some ini to get colormap index
 tmpy = [1:length(colmap)];
 tmpx = linspace(cax(1),cax(2),length(colmap));
 tmpx(1) = -1000; tmpx(end)=1000;

 figure(1)

 for k=1:length(years)
  [year,month,day,x,y,z,dat] = getdata([years(k) years(k)], ...
                                   [7 8],[0  5],[10]);
  %convert to hours since 15.01.1901 00:00:00
   t = (julian(year,month,day,day.*0) - julian(1901,1,15,0))*24;
  %get model data
   ifi = ['../../obs/kahru/data/corf_' num2str(years(k)) '.nc'];
   sst_m = getnc(ifi,'SST');
   t_m   = getnc(ifi,'T_DAVE');
   x_m   = getnc(ifi,'XAXIS');
   y_m   = getnc(ifi,'YAXIS');
  %get the data
   dat_m = dat+NaN;
  %define halo
   dt = 24./2; dx=abs(diff(x_m(1:2)))./2; dy=abs(diff(y_m(1:2)))./2;
   for i=1:length(t)
    tI = min(find(t_m>=t(i)-dt & t_m<=t(i)+dt));
    xI = min(find(x_m>=x(i)-dx & x_m<=x(i)+dx));
    yI = min(find(y_m>=y(i)-dy & y_m<=y(i)+dy));
    if isempty(tI(1)+xI+yI)~=1 
     dat_m(i) = sst_m(tI,yI,xI);
    end
   end
  
  %calculate difference between model and obs
     dat = dat_m - dat;
  
  subplot(5,3,k);
   set(gca,'fontsize',8,'box','on','tickdir','out', ...
           'nextplot','add','xlim',[10 30],         ...
           'ylim',[53 66]);

   for i=1:length(x)
    if isnan(dat(i))~=1
     I = round(interp1(tmpx,tmpy,dat(i)));
     plot(x(i),y(i),'.','color',colmap(I,:),'markersize',18)
    end
   end 
   text(23,63,num2str(years(k)),'fontweight','bold','fontsize',16)
   ax_long('x')
   ax_lat('y')
   coast('k')
 end

  hh=axes('position',[0.13 0.02 0.7750 0.001],'xcolor',[1 1 1]*0.99, ...
          'ycolor',[1 1 1]*0.99,'ticklength',[0.001 0.001],'xtick',[]);
  colormap(colmap);  caxis(cax);
  cc=colorbar('south'); set(cc,'tickdir','out');
  orient tall
  print -dpsc ../../eps/ices_surf_sst_moderr.ps
